Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director.incremental
Class IncrementalScoreDirectorFactory

    java.lang.Object
      org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
          org.optaplanner.core.impl.score.director.incremental.IncrementalScoreDirectorFactory

All Implemented Interfaces:
  InnerScoreDirectorFactory, ScoreDirectorFactory

    public class IncrementalScoreDirectorFactory

extends AbstractScoreDirectorFactory

Incremental implementation of `ScoreDirectorFactory`.

See Also:
  `IncrementalScoreDirector`, `ScoreDirectorFactory`

Field Summary

Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertionScoreDirectorFactory, initializingScoreTrend, logger, scoreDefinition, solutionDescriptor`

Constructor Summary
`IncrementalScoreDirectorFactory(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)`

Method Summary
`IncrementalScoreDirector` | `buildScoreDirector(boolean constraintMatchEnabledPreference)` Like `InnerScoreDirectorFactory.buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).
`Class<? extends IncrementalScoreCalculator>` | `getIncrementalScoreCalculatorClass()`

Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertScoreFromScratch, buildScoreDirector, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, setAssertionScoreDirectorFactory, setInitializingScoreTrend, setScoreDefinition, setSolutionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncrementalScoreDirectorFactory

    public IncrementalScoreDirectorFactory(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)

Method Detail

### getIncrementalScoreCalculatorClass

    public Class<? extends IncrementalScoreCalculator> getIncrementalScoreCalculatorClass()

### buildScoreDirector

    public IncrementalScoreDirector buildScoreDirector(boolean constraintMatchEnabledPreference)

  Description copied from interface: `InnerScoreDirectorFactory`
  Like `InnerScoreDirectorFactory.buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).

  Parameters:
    `constraintMatchEnabledPreference` - false if a `ScoreDirector` implementation should not do `ConstraintMatch` tracking even if it supports it.
  Returns:
    never null
  See Also:
    `ScoreDirector.isConstraintMatchEnabled()`, `ScoreDirector.getConstraintMatchTotals()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.